import Vue from 'vue'
import Vuex from 'vuex'
import createLogger from 'vuex/dist/logger'
// import createDB from './plugins'

import state from '@/store/state'
import getters from '@/store/getters'
import mutations from '@/store/mutations'
import actions from '@/store/actions'

import cartModule from '@/store/modules/cart'
import currencyModule from '@/store/modules/currency'
import customerModule from '@/store/modules/customer'
import dateModule from '@/store/modules/date'
import journalModule from '@/store/modules/journal'
import paymentModule from '@/store/modules/payment'
import productModule from '@/store/modules/product'
// import userModule from '@/store/modules/user'
import usersModule from '@/store/modules/users'
import bankModule from '@/store/modules/bank'
import bankPaymentTypeModule from '@/store/modules/bankPaymentType'
import chequeTypeModule from './modules/chequeType'
import storeModule from './modules/store'
import saleOrderModule from './modules/saleOrder'
import stockPickingModule from './modules/stockPicking'
import warehouseModule from './modules/warehouse'
import pricelistModule from './modules/pricelist'
import categoryModule from './modules/category'

Vue.use(Vuex)

const store = new Vuex.Store({
    state,
    getters,
    mutations,
    actions,
    modules: {
        cartModule,
        currencyModule,
        customerModule,
        dateModule,
        journalModule,
        paymentModule,
        productModule,
        // userModule,
        usersModule,
        bankModule,
        bankPaymentTypeModule,
        chequeTypeModule,
        storeModule,
        saleOrderModule,
        stockPickingModule,
        warehouseModule,
        pricelistModule,
        categoryModule
    },
    // plugins: [
    //     createDB,
    // ],
    strict: true
})

export default store
