const state = {
    loadingCategories: false,
    categories: []
}

const getters = {
    loadingCategories(state) {
        return state.loadingCategories
    },
    categories(state) {
        return state.categories
    }
}

const mutations = {
    setLoadingCategories(state, loading) {
        state.loadingCategories = !!loading
    },
    setCategories(state, categories) {
        state.categories = categories
    }
}

const actions = {
    initCategories({ commit }, categories) {
        commit('setCategories', categories)
        commit('setLoadingCategories')
    },
    resetCategory({ commit }) {
        commit('setLoadingCategories', true)
        commit('setCategories', [])
    }
}

export default {
    state,
    getters,
    actions,
    mutations
}