const prefix = 'eiru_pos'

/**
 * 
 * @param {*} key 
 */
const snakeizeKey = key => {
    return key.replace(/[A-Z]/g, a => {
        return `_${a.toLowerCase()}`
    })
}

/**
 * 
 * @param {*} key 
 */
const camelizeKey = key => {
    return key.replace(/_([a-z])/g, (a, b, c) => {
        if (c === 0) {
            return b
        }

        return b.toUpperCase()
    })
}

/**
 * 
 * @param {*} key 
 * @param {*} value 
 */
const setState = state => {
    for (let key in state) {
        localStorage[`${prefix}_${snakeizeKey(key)}`] = JSON.stringify(state[key])
    }
}

/**
 * 
 * @param {*} key 
 */
const getState = () => {
    let state = {}

    for (let key in localStorage) {
        if (!key.startsWith(prefix)) {
            continue
        }

        let statekey = key.replace(prefix, '')
        statekey = camelizeKey(statekey)

        state[statekey] = JSON.parse(localStorage[key])
    }

    return state
}

/**
 * 
 * @param {*} store 
 */
const createDB = store => {
    const savedState = getState()

    if (savedState) {
        store.replaceState(savedState)
    }

    store.subscribe((mutation, state) => {
        setState(state)
    })
}

export default createDB